Bug 110853 - rpm segmentation fault
rpm segmentation fault
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
4.2
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-24 16:28 EST by Bill Richards
Modified: 2007-04-18 12:59 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-19 14:37:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Richards 2003-11-24 16:28:55 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; 
T312461)

Description of problem:
I've searched through bugzilla and cannot find a resolution for the 
problem below:

I am getting segementation faults from 'rpm -qa'  I've followed the 
steps for recovery of the rpmdb and they always fail with a 
segmentation fault.

'rpm -qa -vv' received the following:
<<<normal ouput deleted>>>
gcc-3.2.2-3mdk
xmame-base-0.58.2-1mdk
mdk-menu-messages-9.1-0.7mdk
error: rpmdb: damaged header instance #1071 retrieved, skipping.
scli-0.2.9-3mdk
libaspell10-0.33.7.1-7mdk
sgml-common-0.6.3-7mdk
wpo2000-help-minimal-2000.03.13.12.01-1
Segmentation fault




Version-Release number of selected component (if applicable):
4.0.4

How reproducible:
Always

Steps to Reproduce:
1.rpm -qa -vv
2.
3.
    

Actual Results:  segmentation fault

Additional info:
Comment 1 Jeff Johnson 2003-12-27 15:38:06 EST
If you give me a ptr (i.e. URL) to a tarball of /var/lib/rpm,
I'll see if I can fix and mail you the result.
Comment 2 Jeremy Katz 2005-04-19 14:37:32 EDT
Closing due to inactivity.  If this issue still occurs with current releases,
please reopen and set the release in which you've encountered the problem.

Note You need to log in before you can comment on or make changes to this bug.